#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe2385937, "__platform_driver_register" },
	{ 0x4d1b088a, "platform_device_unregister" },
	{ 0xbcf448b4, "of_get_next_available_child" },
	{ 0x519ab3c6, "of_clk_del_provider" },
	{ 0xedfcfd8f, "platform_driver_unregister" },
	{ 0x6974f4e1, "get_scpi_ops" },
	{ 0xd733cbd0, "of_match_node" },
	{ 0xabdb96e4, "of_property_read_string_helper" },
	{ 0x11e6cb56, "devm_kmalloc" },
	{ 0x249704a4, "of_property_read_u32_index" },
	{ 0x4dc8a28f, "devm_clk_hw_register" },
	{ 0xd1005013, "_dev_err" },
	{ 0x93c644e0, "of_node_put" },
	{ 0xd8abba01, "of_clk_add_hw_provider" },
	{ 0xbe216fc, "clk_hw_set_rate_range" },
	{ 0x5b61f0b5, "__dynamic_dev_dbg" },
	{ 0xdcb764ad, "memset" },
	{ 0xc9cae4c7, "platform_device_register_full" },
	{ 0x122c3a7e, "_printk" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "arm_scpi");

MODULE_ALIAS("of:N*T*Carm,scpi-clocks");
MODULE_ALIAS("of:N*T*Carm,scpi-clocksC*");
